2 x Versucht es zu Installieren

  • @-sCottY-
    Hast du es mal mit der Beta 3 probiert? Laut deiner Fehlermeldung hast du es ja mit der Beta 1 versucht wo das Problem ja bekannt ist.

  • Ach ne, is die 1. Beta. Bin über Woltlab News auf die Beta aufmerksam geworden und da hab ich wohl die falsche Version runtergeladen.^^


    Habs grad nochmals probiert aber es ging wieder nicht:

    Fatal error: PHP notice in file /www/htdocs/xxxxxxxx/wbb4/wcf/lib/acp/page/IndexPage.class.php (57): Use of undefined constant REGISTER_ACTIVATION_METHOD - assumed 'REGISTER_ACTIVATION_METHOD'




    Information:id: cecf88b63c605b618e049aaceffc5e9c3cb4ab55
    error message: PHP notice in file /www/htdocs/xxxxxxxx/wbb4/wcf/lib/acp/page/IndexPage.class.php (57): Use of undefined constant REGISTER_ACTIVATION_METHOD - assumed 'REGISTER_ACTIVATION_METHOD'
    error code: 0
    file: /www/htdocs/xxxxxxxx/wbb4/wcf/lib/system/WCF.class.php (287)
    php version: 5.4.9-nmm1
    wcf version: 2.0.0 Beta 2 (Maelstrom)
    date: Thu, 20 Jun 2013 12:09:22 +0000
    request: /wcf/acp/?s=8a8ba1e87c7ea3051393aa5cac7fd92c6aec3ecb
    referer: xxxxxxxx/wcf/acp/index.php?s=8a8ba1e87c7ea3051393aa5cac7fd92c6aec3ecb&action=WCFSetup




    Stacktrace:#0 /www/htdocs/xxxxxxxx/wbb4/wcf/lib/acp/page/IndexPage.class.php(57): wcf\system\WCF::handleError(8, 'Use of undefine...', '/www/htdocs/w01...', 57, Array)
    #1 /www/htdocs/xxxxxxxx/wbb4/wcf/lib/page/AbstractPage.class.php(182): wcf\acp\page\IndexPage->assignVariables()
    #2 /www/htdocs/xxxxxxxx/wbb4/wcf/lib/acp/page/IndexPage.class.php(91): wcf\page\AbstractPage->show()
    #3 /www/htdocs/xxxxxxxx/wbb4/wcf/lib/page/AbstractPage.class.php(86): wcf\acp\page\IndexPage->show()
    #4 /www/htdocs/xxxxxxxx/wbb4/wcf/lib/system/request/Request.class.php(58): wcf\page\AbstractPage->__run()
    #5 /www/htdocs/xxxxxxxx/wbb4/wcf/lib/system/request/RequestHandler.class.php(93): wcf\system\request\Request->execute()
    #6 /www/htdocs/xxxxxxxx/wbb4/wcf/acp/index.php(10): wcf\system\request\RequestHandler->handle('wcf', true)
    #7 {main}


    @Alexander Ebert: Hab dir alles zukommen lassen

  • Hi sCottY,


    ich bezweifele etwas, dass dies das selbe Problem darstellt, wie ich es hatte. Immerhin ist, wenn ich das richtig herauslesen kann, Deine Installation bis zum Ende durchgelaufen, will sagen, die Datenbank wurde erstelllt und er hat den Installationsvorgang nicht abgebrochen.
    Insofern weiss ich leider auch nicht, wo und wie ich in Deinem Falle ansetzen kann. Sicher wissen die Leute von WoltLab bescheid....

  • Ich hatte auch die fehlermeldung SQLSTATE[HY000] [2002] No such file or directory und habe beim dritten versuch die php version auf 5.3.28 eingestellt, davor war die 5.4.x am laufen, damit hatte ich dann keine probleme mehr


    greez


    rsmarty

  • hab da auch n fehler schon bei der installation :(


    Warning: Unexpected character in input: '\' (ASCII=92) state=1 in /www/htdocs/w00ad73b/nordbazz/forum/install.php on line 53


    Warning: Unexpected character in input: '\' (ASCII=92) state=1 in /www/htdocs/w00ad73b/nordbazz/forum/install.php on line 179


    Warning: Unexpected character in input: '\' (ASCII=92) state=1 in /www/htdocs/w00ad73b/nordbazz/forum/install.php on line 179


    Parse error: syntax error, unexpected T_STRING in /www/htdocs/w00ad73b/nordbazz/forum/install.php on line 179



    wo liegt der hund begraben ....

  • Generell empfiehlt es sich, pro Fehlermeldung ein eigenes Thema zu eröffnen. So ist es für die Entwickler schwer, die besser zu ordnen bzw. zu filtern, was noch offen ist etc.


    Zu Deinem Problem: Welche PHP-Version benutzt Du denn?

  • Ich habe grad festgestellt beim Aufruf der test.php:


    Ihre PHP Version '5.2.12-nmm4' ist unzureichend für die Installation dieser Software. PHP Version 5.3.2 oder höher wird benötigt


    Nun frage ich mich nur: Wenn ich jetzt meinen Provider darum bitte, mein PHP höher zu stellen, bringt das dann einen Nachteil für mein installiertes WBB3? Ich wollte nämlich die WBB 4 Beta nebenbei testen, aber mein WBB3 noch weiter laufen lassen.


    Wenn ich weiss, dass es 100% keine Schwierigkeiten dann gibt, werde ich die PHP-Version höher stellen lassen. Weiss das jemand? :thumbup:

  • Naja, da sollte man bei einigen Plugins (auch welche aus dem Store) vorsichtig sein... PHP 5.3.22 geht ohne Probleme... ab 5.4 gibts bei einigen Plugins sorgen :/

  • Zzarc:
    Du kannst den Support einfach anschreiben, dass die dich bitte auf einen aktuellen Server umziehen (das machen die kostenlos über Nacht).
    Sollte es dann Schwierigkeiten geben mit der neuen PHP-Version und WBB3, kannst du mit einer .htaccess-Datei die PHP-Version manuell für die WBB3-Installation umestellen auf PHP 5.4, 5.3, 5.3 oder was auch immer du willst (die bieten ja mehrere an, stehen alle im KAS). Du hast also theoretisch nichts zu verlieren.


    Hier haben die sogar eine Anleitung, wie man den Server manuell wieder herunterstellt, dauert keine 60 Sekunden: http://all-inkl.com/wichtig/faq/#php_mysql_version


    Habe das genau so gemacht. Der Vorteil ist, dass man auf einem neuen Server mit den aktuellen Version liegt und wenn das WBB4 dann da ist und man das WBB3 nicht mehr braucht, keinen neuen Umzug starten muss. Bei mir läuft das klasse, bin auch bei all-inkl. :)

  • Dankeschön für eure Antworten, ich habe das jetzt einfach mal gemacht (Serverumzug beantragt), vorher natürlich alles gesichert.


    Bei allincl.com bin ich auch und bisher lief ja alles paletti!


    Dankeschön für eure Tipps und Hinweise: TimWolla, [FFW] Patric und Tobi Ke. :thumbup:

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!